:root {
    --main-bg-color: #6c5ce7;
    --black-color: #000;
    --margin: 0px;
    --padding: 0px;
    --white-main-color: #fff;
    --dark-gray-color: #1e2772e;
    --light-gray-color: #747474;
    --very-light-gray-color: #f0f0f0;
}

body {
    margin: var(--margin);
    padding: var(--padding);
    box-sizing: border-box;
    background-color: rgb(241, 223, 245);
    font-family: 'Lato', sans-serif;;
}

html {
    scroll-behavior: smooth;
}

ul {
    list-style: none;
}

a{
   text-decoration: none; 
}

#main {
    width: 100%;
    height: 100vh;
    position: relative;
}
nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 1;
    background-color: var(--white-main-color);
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
  }
.menu {
    display: flex;
}

nav ul li a {
      margin: 3px;
    padding: 0px 22px;
    display: flex;
    text-transform: uppercase;
    font-weight: normal;
    color: #6c5ce7;
    letter-spacing: 1px;
    font-size: 14px;
    height: 40px;
    line-height: 43px;                                                                                                                                                                                                                                                                      
}

nav ul li a:hover {                  
    background-color: var(--main-bg-color);
    color: #fff;
    border-radius: 10px;
}

.get-in-touch {
    color: var(--dark-gray-color);
    font-size: 500;
    font-weight: 0.9em;
    border-bottom: 2px solid var(--main-bg-color);
}

.logo-heading {
    font-weight: 300;
    font-size: 25px;
    color: var(--black-color);
}

.name{
    font-weight: 700;
    text-decoration: underline;
    text-decoration-color: var(--main-bg-color);
      }

    .content {
        display: flex;
        width: 90%;
        justify-content: space-around;
        align-items: center;
        /*Figure this out (Advanced) */
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    .model {
       height: 200px;
        width: 200px;
        /* object-fit: contain; */
    }
    .model img {
        width: 100%;
        height: 180%;
    }

.model {
    border: px solid blue;
}

.main-text h1 {
    font-size: 26px;
    margin: 0px 0px 10px 0px;
    line-height: 60px;
}
.main-text p {
    color: var(--light-gray-color);
}

    .portfolio-button {
            width: 200px;
            height: 45px;
            display: flex;
            justify-content: center;
            align-items: center;
            color: var(--white-main-color);
            background-color: var(--main-bg-color);
            border-radius: 5px;
        }

        /* Skills Section*/
        #skills {
            display: flex;
            justify-content: space space-around;
            align-items: center;
            width: 80%;
            margin: auto auto 50px auto;
        }
        .skill-img {
            width: 45%;

        }
        .skill-img img {
            width: 100%;
            height: 100%;
            object-fit: contain;
        }
        .skill-text {
            width: 40%;
        }
        .skill-heading span{
            color: var(--main-bg-color);
            font-weight: 500;
            text-transform: uppercase;
            font-size: 15px;
            letter-spacing: 1px;
        }

        .skill-heading h2 {
            color: var(--dark-gray-color);
            font-size: 40px;
            margin: 0px;
            font-weight: 600;
            letter-spacing: 1px;
        }

        .s-box-container{
            margin-top: 15px;
        }

        .skill-box {
            display: flex;
            margin: 25px 0px;
       }
       .s-box-icon {
           margin-right: 15px;
       }

       .s-box-icon i {
           font-size: 25px;
           width: 43px;
           height: 43px;
           border-radius: 50%;
           background-color: var(--very-light-gray-color);
           display: flex;
           justify-content: center;
           align-items: center;
           color: var(--main-bg-color);
       }

       .s-box-text strong {
           color: var(--dark-gray-color);
           margin: 0px;
           font-size: 15px;
           font-weight: 600; 
       }

      .s-box-text p {
          font-size: 20px;
      }

      /* Projects */
      #my-projects {
          display: flex;
          justify-content: center;
          align-items: center;
          margin: auto auto 50px auto;
          flex-direction: column;
                    
      }

      .project-showcase {
          display: flex;
          width: 90%;
          justify-content: space-between;
      }

      .project {
          width: 300px;
          height: 200px;
          border-radius: 20px;
          display: flex;
          justify-content: center;
          align-items: center;
          flex-direction: column;
          flex-direction: column;
          margin: 30px 0px;
      }

      .one {
          background-image: url(image/company_1.jpg);
          background-size: contain;
      }


      .two {
        background-image: url(image/company_2.jpg);
        background-size: contain;
    }


    .three {
        background-image: url(image/company_3.jpg   );
        background-size: contain;
    }


      .project #hide {
          visibility: hidden;
          background-color: var(--white-main-color);
          width: 100%;
          height: 100%;
          display: flex;
          justify-content: center;
          align-items: center;
          flex-direction: column;
          border-radius: 15px;
          opacity: 100%;
          z-index: 1000;
          }

      .project:hover #hide {
          visibility: visible;
          border: 1px solid var(--main-bg-color);
      }

      .skill-heading {
          margin: 1%;
      }

      .project-text {
          color: var(--dark-gray-color);
          font-size: 18px;
          padding: 20px;
          justify-content: space-evenly;
      }

      .project-btn {
          background-color: var(--black-color);
          color: var(--white-main-color);
          border: 1px solid var(--main-bg-color);
          border-radius: 10px;
          padding:  15px;
      }

      .project-btn:hover {
          background-color: var(--white-main-color);
          color: var(--black-color);   
      }

      #client {
          display: flex;
          justify-content: center;
          align-items: center;
          flex-direction: column;
          width: 90%;
          margin: auto auto 50px auto;
          padding: 50px 0px;
      }

      .c-box-container {
          display: flex;
          justify-content: space-between;
          align-items: center;
          margin: 20px 0px;
          width: 100%;
      }
      .client-box {
          width: 300px;
          height: 350px;
          border-radius: 10px;
          background-color: var(--main-bg-color);
          color: var(--black-color);
          display: flex;
          justify-content: center;
          align-items: center;
          flex-direction: column;
          padding: 10px;
          margin: 20px;
      }

      .client-box img {
          width: 90px;
          height: 90px;
          border-radius: 50%;
          background-color: var(--white-main-color);
          object-fit: contain;
          border: 1px solid var(--white-main-color);
      }

      .star {
          display: flex;
          margin: 10px 0px 0px 0px;
      }
       .star i {
           color: gold;
           font-size: 17px;
       }

       .client-box p {
           columns: var(--white-main-color);
           font-size: 14px;
           margin: 10px 0px;
           text-align: center;
       }
       .client-box a {
           width: 190px;
           height: 45px;
           display: flex;
           justify-content: center;
           align-items: center;
           color: var(--main-bg-color);
           background-color: var(--white-main-color);
           border-radius: 5px;
           margin-top: 20px;
           border: 1px solid white;
       }

       .client-box a:hover {
           color: white;
           background-color: lightsalmon;
       }

       /* Contact Us */
       #contact {
           display: flex;
           justify-content: center;
           align-items: center;
           flex-direction: column;
           width: 90%;
           margin: auto auto 50px auto;
       }

       #contact img {
           width: 50%;
       }

       #contact h3 {
           font-size: 25px;
           margin: 3%
       }

       .content-input {
           width: 400px;
           height: 50px;
           background-color: var(--white-main-color);
            display: flex;
            justify-content: center;
            align-items: center;
            box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
       }

       .contact-input a {
           width: 200px;
           height: 40px;
           background-color: var(--main-bg-color);
           color: var(--white-main-color);
           color: var(--white-main-color);
           justify-content: center;
           align-items: center;
           border-radius: 4px;
           margin: auto 5px;
           font-size: 18px;
        }

        footer {
            display: flex;
            justify-content: space-around;
            border-top: 1px solid var(--very-light-gray-color);
        }

        footer p {
            margin: 15px 0px;
            color: var(--dark-gray-color);
            font-size: 15px;


        }



      